%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-pycodestyle
Version:       2.9.1
Release:       1mamba
Summary:       Python style guide checker
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pycodestyle.pycqa.org/
Source:        http://pypi.debian.net/pycodestyle/pycodestyle-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pycodestyle-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

%if "%{?with_pyver}" != "3"
# Rename any conflicting file outside of python site packages tree
for f in %{_bindir}/pycodestyle; do
   mv %{buildroot}${f}{,-%{?pyappend}}
done
%endif

%files %{?pyappend}
%defattr(-,root,root)
%{_bindir}/pycodestyle*
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%{python_sitelib}/__pycache__/pycodestyle.cpython*.pyc
%{python_sitelib}/pycodestyle.py
%doc LICENSE

%changelog
* Wed Nov 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.1-1mamba
- package created using the webbuild interface
